OpenStack Compute (Nova)

Poor VMware driver exception handling in compute manager

Reported by Édouard Thuleau on 2011-05-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Medium
Unassigned

Bug Description

Another opened bug (https://bugs.launchpad.net/nova/+bug/788550) reveals new bug.
The VMware driver raise exception when we try to pause an instance.
After pause request, the instance state passed to 'pausing' but it stays in this state indefinitely. It didn't come back to the 'running' state.

While with libvirt driver, if we try to pause an instance, the driver raise an APIError exception (it's not implemented). The instance passed to 'pausing' but few second after it came back to 'running' state and log files says:

2011-05-26 15:43:24,014 INFO nova.compute.manager [-] Updating host status
2011-05-26 15:43:24,047 INFO nova.compute.manager [-] DB/VM state mismatch. Changing state from '0' to '1'

Related branches

lp:~vivekys/nova/lp790174
Todd Willey (community): Needs Fixing on 2011-06-07
Nova Core security contacts: Pending requested 2011-06-07
Sateesh: Pending requested 2011-06-07
Thierry Carrez (ttx) on 2011-05-30
Changed in nova:
importance: Undecided → Medium
status: New → Confirmed
vivek.ys (vivekys) wrote :

Once the bug
https://bugs.launchpad.net/bugs/790174 gets resolved then adding pause and resume functionality in vmops.py of vmwareapi will resolve this issue. Am I right?

vivek.ys (vivekys) wrote :
Édouard Thuleau (ethuleau) wrote :

Yes it will resolve the pause and resume cases. But if we try to unpause or resume a running instance, the instance pass to 'unpausing' or 'resuming' state and stay in this state definitively.

No process synchronize DB and compute driver. With the libvirt driver, this process exist and a log explains that :

2011-05-31 11:30:18,675 INFO nova.compute.manager [-] Updating host status
2011-05-31 11:30:18,715 INFO nova.compute.manager [-] DB/VM state mismatch. Changing state from '0' to '1'

Thierry Carrez (ttx) on 2011-06-01
Changed in nova:
assignee: nobody → vivek.ys (vivekys)
status: Confirmed → In Progress
Thierry Carrez (ttx) wrote :

@Vivek.ys: any chance you can address the comments on your merge proposal and propose for merging again ?

Mark McLoughlin (markmc) wrote :

This has gotten very stale, so I think it makes sense to de-assign

Of course, please feel free to pick it up again Vivek

Changed in nova:
status: In Progress → Confirmed
assignee: vivek.ys (vivekys) → nobody
Sean Dague (sdague) wrote :

it's been a year since there was active work on the bug, and 6 months since the last comment. Closing out. Please reopen if this persists

Changed in nova:
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Patches